Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.animation.interpolation
Class LinearInterpolation

    java.lang.Object
      nl.tudelft.simulation.dsol.animation.interpolation.LinearInterpolation

All Implemented Interfaces:
  InterpolationInterface

public class LinearInterpolation
extends java.lang.Object
implements InterpolationInterface

A LinearInterpolation
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  1.0 Mar 4, 2004
Author:
  Peter Jacobs

Field Summary
`protected double` | `endTime` the end time
`protected double` | `startTime` the start time

Constructor Summary
`LinearInterpolation(double startTime, double endTime, nl.tudelft.simulation.language.d3.DirectedPoint origin, nl.tudelft.simulation.language.d3.DirectedPoint destination)` constructs a new LinearInterpolation

Method Summary
`nl.tudelft.simulation.language.d3.DirectedPoint` | `getLocation(double time)` returns the current location

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startTime

    protected double startTime

  the start time

### endTime

    protected double endTime

  the end time

Constructor Detail

### LinearInterpolation

    public LinearInterpolation(double startTime,
                               double endTime,
                               nl.tudelft.simulation.language.d3.DirectedPoint origin,
                               nl.tudelft.simulation.language.d3.DirectedPoint destination)

  constructs a new LinearInterpolation

Parameters:
  `startTime` - the startingTime
  `endTime` - the endTime
  `origin` - the origin
  `destination` - the destination

Method Detail

### getLocation

    public nl.tudelft.simulation.language.d3.DirectedPoint getLocation(double time)

  Description copied from interface: `InterpolationInterface`
  returns the current location

  Specified by:
    `getLocation` in interface `InterpolationInterface`
  Parameters:
    `time` - the current time
  Returns:
    DirectedPoint the current location
  See Also:
    `#getLocation(double)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.